#!/usr/bin/env python
# -*- coding: utf-8 -*-

from torch_geometric.data import Data, Batch, Dataset
from torch_geometric.utils import to_networkx
import networkx as nx
import numpy as np
import pandas as pd

class DatasetStatistic(object):
    def __init__(self, dataset):
        if not isinstance(dataset, Dataset):
            raise ValueError(f'{dataset} needs to be an PyG dataset object')
        self.dataset = dataset

        if len(dataset) == 0:
            self.task = 'node' 
        else:
            self.task = 'graph'
        self.study = None 

    def save_csv(self, path):


